Bug 146702 - CAN-2005-0100 Arbitrary code execution in *emacs*
CAN-2005-0100 Arbitrary code execution in *emacs*
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: emacs (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
impact=important,public=20050210
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-31 16:05 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:13:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-31 16:05:44 EST
*** This bug has been split off bug 146700 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.31
16:00 -------

Max Vozeler discovered several format string vulnerabilities in the
movemail utility of Emacs, the well-known editor.  Via connecting to a
malicious POP server an attacker can execute arbitrary code under the
privileges of group mail (or worse, depending on the permissions of
the movemail binary).


The proposed fix for this issue is attachment 110458 [details]
Comment 3 Mark J. Cox (Product Security) 2005-02-07 04:18:33 EST
Removing embargo, 
http://list-archive.xemacs.org/xemacs-announce/200502/msg00001.html
Comment 4 Mark J. Cox (Product Security) 2005-02-15 04:13:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-110.html

Note You need to log in before you can comment on or make changes to this bug.